GNU bug report logs - #15925
24.3.50; error when customizing whitespace-display-mappings

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Claudio Bley <claudio.bley@HIDDEN>; merged with #21771, #28183, #31869; dated Tue, 19 Nov 2013 07:39:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 15925 21771 28183 31869. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 15925 21771 28183. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 15925 28183. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 15925 <at> debbugs.gnu.org:


Received: (at 15925) by debbugs.gnu.org; 20 Nov 2013 19:28:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 20 14:28:06 2013
Received: from localhost ([127.0.0.1]:35111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VjDRW-00015c-1w
	for submit <at> debbugs.gnu.org; Wed, 20 Nov 2013 14:28:06 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20]:60657)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1VjDRV-00015V-2c
 for 15925 <at> debbugs.gnu.org; Wed, 20 Nov 2013 14:28:05 -0500
Received: from faina.iro.umontreal.ca (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id rAKJS45m020324;
 Wed, 20 Nov 2013 14:28:04 -0500
Received: by faina.iro.umontreal.ca (Postfix, from userid 20848)
 id 0D4E8B5162; Wed, 20 Nov 2013 14:28:04 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Claudio Bley <claudio.bley@HIDDEN>
Subject: Re: bug#15925: 24.3.50;
 error when customizing whitespace-display-mappings
Message-ID: <jwviovm7u4d.fsf-monnier+emacsbugs@HIDDEN>
References: <87mwl0vo36.wl%claudio.bley@HIDDEN>
 <5xiovo4x5p.fsf@HIDDEN>
 <87a9gzuzs3.wl%claudio.bley@HIDDEN>
Date: Wed, 20 Nov 2013 14:28:03 -0500
In-Reply-To: <87a9gzuzs3.wl%claudio.bley@HIDDEN> (Claudio Bley's message of
 "Wed, 20 Nov 2013 11:35:08 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Level: 
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0.2
X-NAI-Spam-Rules: 2 Rules triggered
	GEN_SPAM_FEATRE=0.2, RV4768=0
X-NAI-Spam-Version: 2.3.0.9362 : core <4768> : inlines <244> : streams
 <1077199> : uri <1601025>
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 15925
Cc: Glenn Morris <rgm@HIDDEN>, 15925 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.9 (-)

> How about displaying those chars in the buffer in another format?
> E.g. use escape sequences like \n \r et cetera?

Agreed.  It could use the same syntax as used after the ? in the Elisp
source code.  I.e. the conversion would be (read-from-string (concat
"?" field)) in one direction and (substring (prin1-char char) 1) in the other.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15925; Package emacs. Full text available.

Message received at 15925 <at> debbugs.gnu.org:


Received: (at 15925) by debbugs.gnu.org; 20 Nov 2013 10:35:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 20 05:35:21 2013
Received: from localhost ([127.0.0.1]:34144 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vj57x-0001zR-2W
	for submit <at> debbugs.gnu.org; Wed, 20 Nov 2013 05:35:21 -0500
Received: from mail-ee0-f47.google.com ([74.125.83.47]:61045)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <claudio.bley@HIDDEN>) id 1Vj57u-0001zC-EK
 for 15925 <at> debbugs.gnu.org; Wed, 20 Nov 2013 05:35:19 -0500
Received: by mail-ee0-f47.google.com with SMTP id c50so3313311eek.20
 for <15925 <at> debbugs.gnu.org>; Wed, 20 Nov 2013 02:35:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=date:message-id:from:to:cc:subject:in-reply-to:references
 :user-agent:mime-version:content-type;
 bh=I2PwFlhqJkfKM21JXG2z8qEvPIx03MtSfge/IHjILhk=;
 b=rfuxBt0sxhxfgL4ynUwy7NwijTsD+5swPRGuciBL740S9oLsit6KbqYutMJps8ImRn
 jt0Lw0LusW3RRkiB/T7XSTxJ2wSvOL9UWdZZpRZIyeHcvkhWkxjP2S8HncFCt1NyOump
 VR27jCyKCq+0/X+3IG7WJz+fc+EnsouzkXp+SKPEKGhGcjO5ZkuZZSFC6eSaVb13W7lb
 V1OJ9HgL0bPG+gDkj7vj+ZciBm8ganzToitQGQf7Lx8RrJJJwJJbIAlPSoBJ9MnBFlbH
 qv2o0JPRAC/4Q3o8fgEwiCPI72h3zJOsSfr8STIYEu/BFB8cQ10gdnvKeuRqqHtXljdD
 NGEg==
X-Received: by 10.14.219.198 with SMTP id m46mr2072897eep.41.1384943712580;
 Wed, 20 Nov 2013 02:35:12 -0800 (PST)
Received: from CLAUDIO-PC.localdomain.de (178-24-125-95-dynip.superkabel.de.
 [178.24.125.95])
 by mx.google.com with ESMTPSA id o47sm58172044eem.21.2013.11.20.02.35.10
 for <multiple recipients>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 20 Nov 2013 02:35:11 -0800 (PST)
Date: Wed, 20 Nov 2013 11:35:08 +0100
Message-ID: <87a9gzuzs3.wl%claudio.bley@HIDDEN>
From: Claudio Bley <claudio.bley@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#15925: 24.3.50;
 error when customizing whitespace-display-mappings
In-Reply-To: <5xiovo4x5p.fsf@HIDDEN>
References: <87mwl0vo36.wl%claudio.bley@HIDDEN>
 <5xiovo4x5p.fsf@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI/1.14.6 (Maruoka)
 FLIM/1.14.9 (=?UTF-8?B?R29qxY0=?=) APEL/10.8 Emacs/24.3.50
 (i686-pc-mingw32) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15925
Cc: 15925 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

At Tue, 19 Nov 2013 03:24:02 -0500,
Glenn Morris wrote:
> 
> Claudio Bley wrote:
> 
> > I think the regexp should be changed to "\\`\(.\|\n\)\\'" to allow a
> > single newline also.
> 
> We already tried that once; it caused more problems than it solved:
> http://debbugs.gnu.org/2689

I see. So lets get this solved.

At first, changing the regexp is just the right thing to do and
in itself, IMO, does not break anything.

Alas, it does not solve the problem at hand because
`widget-specify-field' behaves /badly/ when the field ends with a
newline.

So, actually, this hunk of your patch trying to work around
this behaviour broke other things.

How about using a special :value-create function for character fields?

Furthermore, the presentation of the character values is bad,
usability-wise, because for nonprintable chars you cannot see what
value the field actually has.

How about displaying those chars in the buffer in another format?
E.g. use escape sequences like \n \r et cetera?

I (rather hackish) way to fix this would be to always insert a ?\n
as part of the value of a character field:

(defun widget-field-char-create (widget)
  "Create an editable character field."
  (let ((value (widget-get widget :value))
	(from (point))
	;; This is changed to a real overlay in `widget-setup'.  We
	;; need the end points to behave differently until
	;; `widget-setup' is called.
	(overlay (cons (make-marker) (make-marker))))
    (widget-put widget :field-overlay overlay)
    (insert value)
    (insert ?\n) ;; EEEK
    (unless (memq widget widget-field-list)
      (setq widget-field-new (cons widget widget-field-new)))
    (move-marker (cdr overlay) (point))
    (set-marker-insertion-type (cdr overlay) nil)
    (insert ?\n)
    (move-marker (car overlay) from)
    (set-marker-insertion-type (car overlay) t)))

What do you think?
-- 
Claudio




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15925; Package emacs. Full text available.

Message received at 15925 <at> debbugs.gnu.org:


Received: (at 15925) by debbugs.gnu.org; 19 Nov 2013 08:24:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 19 03:24:07 2013
Received: from localhost ([127.0.0.1]:60893 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VigbP-0008G1-0R
	for submit <at> debbugs.gnu.org; Tue, 19 Nov 2013 03:24:07 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:59319 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1VigbM-0008Ft-RR
 for 15925 <at> debbugs.gnu.org; Tue, 19 Nov 2013 03:24:05 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1VigbK-0005Fg-QW; Tue, 19 Nov 2013 03:24:02 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Claudio Bley <claudio.bley@HIDDEN>
Subject: Re: bug#15925: 24.3.50;
 error when customizing whitespace-display-mappings
References: <87mwl0vo36.wl%claudio.bley@HIDDEN>
X-Spook: smuggle Medco Compsec subversive spies Ansar al-Islam
X-Ran: -aff~9Vvvf'@52m15r9Vm>E88e>lky>T|P"Ov4$YJYD<GjA9fUoWq$71{K2Q|>\\@-8vO!
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 19 Nov 2013 03:24:02 -0500
In-Reply-To: <87mwl0vo36.wl%claudio.bley@HIDDEN> (Claudio Bley's message of
 "Tue, 19 Nov 2013 08:37:49 +0100")
Message-ID: <5xiovo4x5p.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.5 (-----)
X-Debbugs-Envelope-To: 15925
Cc: 15925 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.5 (-----)

Claudio Bley wrote:

> I think the regexp should be changed to "\\`\(.\|\n\)\\'" to allow a
> single newline also.

We already tried that once; it caused more problems than it solved:
http://debbugs.gnu.org/2689




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15925; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Nov 2013 07:38:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 19 02:38:18 2013
Received: from localhost ([127.0.0.1]:60851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vift3-0006Mi-Nc
	for submit <at> debbugs.gnu.org; Tue, 19 Nov 2013 02:38:18 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35649)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <claudio.bley@HIDDEN>) id 1Vift0-0006M2-KB
 for submit <at> debbugs.gnu.org; Tue, 19 Nov 2013 02:38:15 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <claudio.bley@HIDDEN>) id 1Vifsq-0002NA-6L
 for submit <at> debbugs.gnu.org; Tue, 19 Nov 2013 02:38:09 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:48440)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <claudio.bley@HIDDEN>) id 1Vifsq-0002N6-3h
 for submit <at> debbugs.gnu.org; Tue, 19 Nov 2013 02:38:04 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37341)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <claudio.bley@HIDDEN>) id 1Vifsk-0007mT-Ns
 for bug-gnu-emacs@HIDDEN; Tue, 19 Nov 2013 02:38:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <claudio.bley@HIDDEN>) id 1Vifsf-0002M1-Ct
 for bug-gnu-emacs@HIDDEN; Tue, 19 Nov 2013 02:37:58 -0500
Received: from mail-ea0-x22c.google.com ([2a00:1450:4013:c01::22c]:44252)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <claudio.bley@HIDDEN>) id 1Vifsf-0002Lv-53
 for bug-gnu-emacs@HIDDEN; Tue, 19 Nov 2013 02:37:53 -0500
Received: by mail-ea0-f172.google.com with SMTP id q10so695434ead.17
 for <bug-gnu-emacs@HIDDEN>; Mon, 18 Nov 2013 23:37:52 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=date:message-id:from:to:subject:user-agent:mime-version
 :content-type; bh=VL/qbS1oXvZcLPI04vhA4E2w/VRFcmTUAMUIxizw72w=;
 b=bhYVRyud1/d88nLp3LNDwyw87joPhawP9ARtHDu/fp4Iw1BBgJxiLQNqrrA/tp3JJ8
 7eCznepQ2Ejgadh73HI23bIcjXCz5YTiluY9LRrxb9lFctREtXwxsD+LqbVfU47ZLlH6
 13w3WW9D2hXheghT+2wMD++5mWuej6yNsHNG8qhMJm+OYa3szL3ZkCUJfGF1FStP70TH
 5xijPmqNS/LweC7TbYpoWKuioCyGsEn1bHq88vxXvDYoA1+TTLCt4DMQ+eTpKFmWbgGf
 jKUt/21YxM4Ed/eAdRTFilVbp5vY2knTdjOWiOa363lr9Dn3+c4x6owxxE7lqEsAHuNS
 KeZg==
X-Received: by 10.14.109.1 with SMTP id r1mr18589743eeg.32.1384846672113;
 Mon, 18 Nov 2013 23:37:52 -0800 (PST)
Received: from CLAUDIO-PC.localdomain.de (178-24-125-95-dynip.superkabel.de.
 [178.24.125.95])
 by mx.google.com with ESMTPSA id o47sm45805454eem.21.2013.11.18.23.37.50
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 18 Nov 2013 23:37:51 -0800 (PST)
Date: Tue, 19 Nov 2013 08:37:49 +0100
Message-ID: <87mwl0vo36.wl%claudio.bley@HIDDEN>
From: Claudio Bley <claudio.bley@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50; error when customizing whitespace-display-mappings
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI/1.14.6 (Maruoka)
 FLIM/1.14.9 (=?UTF-8?B?R29qxY0=?=) APEL/10.8 Emacs/24.3.50
 (i686-pc-mingw32) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

1. M-x customize-option RET whitespace-display-mappings RET
2. click INS to insert an arbitrary char into one of the vectors
3. click the State button and select "Set for current session"

You should see this error / backtrace:

Debugger entered--Lisp error: (error "This field should contain a single character")
  signal(error ("This field should contain a single character"))
  error("%s" "This field should contain a single character")
  custom-variable-set((custom-variable :documentation-shown t
  :custom-state modified :tag "Whitespace Display Mappings" :value
  whitespace-display-mappings :custom-form edit :custom-magic
  [...]
  call-interactively(widget-button-click nil nil)
  command-execute(widget-button-click)


In wid-edit.el the character widget is defined as

(define-widget 'character 'editable-field
  "A character."
  :tag "Character"
  :value 0
  :size 1
  :format "%{%t%}: %v\n"
  :valid-regexp "\\`.\\'"
  :error "This field should contain a single character"
  [...]

Note, that the regexp does not match a single newline character, which
happens to be the problem here, as the default value of
`whitespace-display-mappings' is

((space-mark 32 [183] [46])
 (space-mark 160 [164] [95])
 (newline-mark 10 [36 10])  ;; <- ?\n here
 (tab-mark 9 [187 9] [92 9]))

I think the regexp should be changed to "\\`\(.\|\n\)\\'" to allow a
single newline also.

Claudio
-- 
Claudio




Acknowledgement sent to Claudio Bley <claudio.bley@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#15925; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 17 Jun 2018 16:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.